Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Samba stuck at "checking for llseek"
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Wed May 22, 2019 2:31 pm    Post subject: [SOLVED] Samba stuck at "checking for llseek" Reply with quote

It is a fresh Gentoo install, and I decided to try GNOME in this old machine(Acer Aspire One D255E). I decided to install gnome-light, and at some point, I got an out of memory error-like during the emerging of some gtk library. Anyway, I set -j1 in /etc/portage/make.conf and everything were fine. I set -j2 again. Now the installation is stuck in emerging samba 4.10.2, the terminal got stuck at
Code:
Checking for llseek                                                                    :

What could I do?
Thank you very much!

Since nobody responded, I'll try to put more information (I know I didn't write so much, it's just I don't know what to do)
That's dmesg
Code:
# dmesg
[    0.000000] Linux version 5.1.0-gentoo (root@poly) (gcc version 8.2.0 (Gentoo 8.2.0-r6 p1.7)) #5 SMP Tue May 14 11:41:14 -00 2019
[    0.000000] Disabled fast string operations
[    0.000000] x86/fpu: x87 FPU will use FXSAVE
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000003f493fff] usable
[    0.000000] BIOS-e820: [mem 0x000000003f494000-0x000000003f4befff] reserved
[    0.000000] BIOS-e820: [mem 0x000000003f4bf000-0x000000003f576fff] usable
[    0.000000] BIOS-e820: [mem 0x000000003f577000-0x000000003f5befff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x000000003f5bf000-0x000000003f5ebfff] usable
[    0.000000] BIOS-e820: [mem 0x000000003f5ec000-0x000000003f5fefff] ACPI data
[    0.000000] BIOS-e820: [mem 0x000000003f5ff000-0x000000003f5fffff] usable
[    0.000000] BIOS-e820: [mem 0x000000003f600000-0x000000003fffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed14000-0x00000000fed19fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffe00000-0x00000000ffffffff] reserved
[    0.000000] Notice: NX (Execute Disable) protection cannot be enabled: non-PAE kernel!
[    0.000000] SMBIOS 2.6 present.
[    0.000000] DMI: Acer AOD255E/JE02_PT_E, BIOS V3.15(DDR3) 02/15/2011
[    0.000000] tsc: Fast TSC calibration using PIT
[    0.000000] tsc: Detected 1662.438 MHz processor
[    0.002720] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.002725] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.002745] last_pfn = 0x3f600 max_arch_pfn = 0x100000
[    0.002754] MTRR default type: uncachable
[    0.002756] MTRR fixed ranges enabled:
[    0.002759]   00000-9FFFF write-back
[    0.002762]   A0000-BFFFF uncachable
[    0.002764]   C0000-DFFFF write-through
[    0.002767]   E0000-FFFFF write-protect
[    0.002769] MTRR variable ranges enabled:
[    0.002772]   0 base 0FFE00000 mask FFFE00000 write-protect
[    0.002775]   1 base 000000000 mask FE0000000 write-back
[    0.002778]   2 base 020000000 mask FE0000000 write-back
[    0.002781]   3 base 03F800000 mask FFF800000 uncachable
[    0.002783]   4 disabled
[    0.002785]   5 disabled
[    0.002786]   6 disabled
[    0.003336] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT 
[    0.010639] check: Scanning 1 areas for low memory corruption
[    0.010646] initial memory mapped: [mem 0x00000000-0x18ffffff]
[    0.010704] BRK [0x18b3a000, 0x18b3afff] PGTABLE
[    0.010736] RAMDISK: [mem 0x37cf9000-0x37e73fff]
[    0.010742] Allocated new RAMDISK: [mem 0x36e83000-0x36ffd66b]
[    0.014457] Move RAMDISK from [mem 0x37cf9000-0x37e7366b] to [mem 0x36e83000-0x36ffd66b]
[    0.014472] ACPI: Early table checksum verification disabled
[    0.014891] ACPI: RSDP 0x00000000000FE020 000024 (v02 ACRSYS)
[    0.014901] ACPI: XSDT 0x000000003F5FE120 000064 (v01 ACRSYS ACRPRDCT 00000001      01000013)
[    0.014916] ACPI: FACP 0x000000003F5FD000 0000F4 (v04 ACRSYS ACRPRDCT 00000001 1025 01000013)
[    0.014932] ACPI: DSDT 0x000000003F5F1000 008DCF (v01 ACRSYS ACRPRDCT 00000001 1025 01000013)
[    0.014942] ACPI: FACS 0x000000003F584000 000040
[    0.014950] ACPI: FACS 0x000000003F584000 000040
[    0.014958] ACPI: HPET 0x000000003F5FC000 000038 (v01 ACRSYS ACRPRDCT 00000001 1025 01000013)
[    0.014968] ACPI: APIC 0x000000003F5FB000 000078 (v02 ACRSYS ACRPRDCT 00000001 1025 01000013)
[    0.014979] ACPI: MCFG 0x000000003F5FA000 00003C (v01 ACRSYS ACRPRDCT 00000001 1025 01000013)
[    0.014989] ACPI: SLIC 0x000000003F5F0000 000176 (v01 ACRSYS ACRPRDCT 00000001 1025 01000013)
[    0.015000] ACPI: BOOT 0x000000003F5EF000 000028 (v01 ACRSYS ACRPRDCT 00000001 1025 01000013)
[    0.015010] ACPI: SSDT 0x000000003F5ED000 000655 (v01 PmRef  CpuPm    00003000 INTL 20051117)
[    0.015021] ACPI: WDAT 0x000000003F5EC000 000194 (v01 INSYDE INSYDE   00000001 MSFT 01000013)
[    0.015044] ACPI: Local APIC address 0xfee00000
[    0.015051] 134MB HIGHMEM available.
[    0.015056] 879MB LOWMEM available.
[    0.015059]   mapped low ram: 0 - 36ffe000
[    0.015062]   low ram: 0 - 36ffe000
[    0.015073] BRK [0x18b3b000, 0x18b3bfff] PGTABLE
[    0.015080] Zone ranges:
[    0.015083]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.015088]   Normal   [mem 0x0000000001000000-0x0000000036ffdfff]
[    0.015093]   HighMem  [mem 0x0000000036ffe000-0x000000003f5fffff]
[    0.015097] Movable zone start for each node
[    0.015100] Early memory node ranges
[    0.015104]   node   0: [mem 0x0000000000001000-0x000000000009efff]
[    0.015108]   node   0: [mem 0x0000000000100000-0x000000003f493fff]
[    0.015112]   node   0: [mem 0x000000003f4bf000-0x000000003f576fff]
[    0.015116]   node   0: [mem 0x000000003f5bf000-0x000000003f5ebfff]
[    0.015120]   node   0: [mem 0x000000003f5ff000-0x000000003f5fffff]
[    0.015125] Initmem setup node 0 [mem 0x0000000000001000-0x000000003f5fffff]
[    0.015131] On node 0 totalpages: 259352
[    0.023711]   DMA zone: 32 pages used for memmap
[    0.023714]   DMA zone: 0 pages reserved
[    0.023716]   DMA zone: 3998 pages, LIFO batch:0
[    0.023880]   Normal zone: 1728 pages used for memmap
[    0.023883]   Normal zone: 221182 pages, LIFO batch:63
[    0.032337]   HighMem zone: 34172 pages, LIFO batch:7
[    0.033665] Using APIC driver default
[    0.033681] Reserving Intel graphics memory at [mem 0x3f800000-0x3fffffff]
[    0.033900] ACPI: PM-Timer IO Port: 0x408
[    0.033905] ACPI: Local APIC address 0xfee00000
[    0.033918] ACPI: LAPIC_NMI (acpi_id[0x01] dfl dfl lint[0x1])
[    0.033922] ACPI: LAPIC_NMI (acpi_id[0x02] dfl dfl lint[0x1])
[    0.033941] IOAPIC[0]: apic_id 4, version 32, address 0xfec00000, GSI 0-23
[    0.033948] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.033954] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.033959] ACPI: IRQ0 used by override.
[    0.033962] ACPI: IRQ9 used by override.
[    0.033967] Using ACPI (MADT) for SMP configuration information
[    0.033974] smpboot: Allowing 4 CPUs, 0 hotplug CPUs
[    0.034020] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.034026] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.034030] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[    0.034033] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[    0.034039] PM: Registered nosave memory: [mem 0x3f494000-0x3f4befff]
[    0.034044] PM: Registered nosave memory: [mem 0x3f577000-0x3f5befff]
[    0.034050] PM: Registered nosave memory: [mem 0x3f5ec000-0x3f5fefff]
[    0.034057] [mem 0x40000000-0xdfffffff] available for PCI devices
[    0.034068] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1910969940391419 ns
[    0.034098] random: get_random_bytes called from start_kernel+0x65/0x3ae with crng_init=0
[    0.034116] setup_percpu: NR_CPUS:8 nr_cpumask_bits:8 nr_cpu_ids:4 nr_node_ids:1
[    0.035453] percpu: Embedded 29 pages/cpu s88780 r0 d30004 u118784
[    0.035470] pcpu-alloc: s88780 r0 d30004 u118784 alloc=29*4096
[    0.035473] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3
[    0.035518] Built 1 zonelists, mobility grouping on.  Total pages: 257592
[    0.035526] Kernel command line: BOOT_IMAGE=/vmlinuz-5.1.0-gentoo root=UUID=59765195-6205-4166-8434-d8a68e710833 ro
[    0.036212] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.036492] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.036500] BRK [0x18b3c000, 0x18b3cfff] PGTABLE
[    0.036532] Initializing CPU#0
[    0.036545] Initializing HighMem for node 0 (00036ffe:0003f600)
[    0.047730] Initializing Movable for node 0 (00000000:00000000)
[    0.055635] Memory: 1010832K/1037408K available (9853K kernel code, 849K rwdata, 3048K rodata, 740K init, 528K bss, 26576K reserved, 0K cma-reserved, 136688K highmem)
[    0.055649] virtual kernel memory layout:
                   fixmap  : 0xfff17000 - 0xfffff000   ( 928 kB)
                 cpu_entry : 0xff800000 - 0xff931000   (1220 kB)
                   pkmap   : 0xff000000 - 0xff400000   (4096 kB)
                   vmalloc : 0xf77fe000 - 0xfeffe000   ( 120 MB)
                   lowmem  : 0xc0000000 - 0xf6ffe000   ( 879 MB)
                     .init : 0xd898e000 - 0xd8a47000   ( 740 kB)
                     .data : 0xd859f56c - 0xd8976400   (3931 kB)
                     .text : 0xd7c00000 - 0xd859f56c   (9853 kB)
[    0.055654] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.055878] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.056198] rcu: Hierarchical RCU implementation.
[    0.056205] rcu:    RCU event tracing is enabled.
[    0.056209] rcu:    RCU restricting CPUs from NR_CPUS=8 to nr_cpu_ids=4.
[    0.056214] rcu: RCU calculated value of scheduler-enlistment delay is 100 jiffies.
[    0.056217] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[    0.056742] NR_IRQS: 2304, nr_irqs: 72, preallocated irqs: 16
[    0.057107] CPU 0 irqstacks, hard=(ptrval) soft=(ptrval)
[    0.060113] Console: colour VGA+ 80x25
[    0.072752] printk: console [tty0] enabled
[    0.072879] ACPI: Core revision 20190215
[    0.073303] APIC: Switch to symmetric I/O mode setup
[    0.073420] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.074178] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.079300] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x17f68bdec2e, max_idle_ns: 440795277288 ns
[    0.079509] Calibrating delay loop (skipped), value calculated using timer frequency.. 3324.87 BogoMIPS (lpj=1662438)
[    0.079699] pid_max: default: 32768 minimum: 301
[    0.079864] LSM: Security Framework initializing
[    0.079998] SELinux:  Initializing.
[    0.080127] *** VALIDATE SELinux ***
[    0.080268] Mount-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.080503] Mountpoint-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.080946] *** VALIDATE proc ***
[    0.081145] *** VALIDATE cgroup1 ***
[    0.081255] *** VALIDATE cgroup2 ***
[    0.081388] Disabled fast string operations
[    0.081624] mce: CPU supports 5 MCE banks
[    0.081756] mce: CPU0: Thermal monitoring enabled (TM2)
[    0.081873] process: using mwait in idle threads
[    0.081992] Last level iTLB entries: 4KB 32, 2MB 0, 4MB 0
[    0.082105] Last level dTLB entries: 4KB 64, 2MB 0, 4MB 8, 1GB 0
[    0.082449] Freeing SMP alternatives memory: 40K
[    0.084490] smpboot: CPU0: Intel(R) Atom(TM) CPU N570   @ 1.66GHz (family: 0x6, model: 0x1c, stepping: 0xa)
[    0.084490] Performance Events: PEBS fmt0+, Atom events, 8-deep LBR, Intel PMU driver.
[    0.084490] ... version:                3
[    0.084490] ... bit width:              40
[    0.084490] ... generic registers:      2
[    0.084502] ... value mask:             000000ffffffffff
[    0.084614] ... max period:             000000007fffffff
[    0.084724] ... fixed-purpose events:   3
[    0.084830] ... event mask:             0000000700000003
[    0.085085] rcu: Hierarchical SRCU implementation.
[    0.085584] smp: Bringing up secondary CPUs ...
[    0.085987] CPU 1 irqstacks, hard=(ptrval) soft=(ptrval)
[    0.085990] x86: Booting SMP configuration:
[    0.086101] .... node  #0, CPUs:      #1
[    0.018353] Initializing CPU#1
[    0.018353] Disabled fast string operations
[    0.087829] CPU 2 irqstacks, hard=(ptrval) soft=(ptrval)
[    0.088149]  #2
[    0.018353] Initializing CPU#2
[    0.018353] Disabled fast string operations
[    0.088490] TSC synchronization [CPU#0 -> CPU#2]:
[    0.088490] Measured 140 cycles TSC warp between CPUs, turning off TSC clock.
[    0.088490] tsc: Marking TSC unstable due to check_tsc_sync_source failed
[    0.088789] CPU 3 irqstacks, hard=(ptrval) soft=(ptrval)
[    0.088792]  #3
[    0.018353] Initializing CPU#3
[    0.018353] Disabled fast string operations
[    0.089585] smp: Brought up 1 node, 4 CPUs
[    0.089920] smpboot: Max logical packages: 1
[    0.090029] smpboot: Total of 4 processors activated (13299.50 BogoMIPS)
[    0.091500] devtmpfs: initialized
[    0.092078] PM: Registering ACPI NVS region [mem 0x3f577000-0x3f5befff] (294912 bytes)
[    0.092732] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.092673] kworker/u8:0 (31) used greatest stack depth: 6860 bytes left
[    0.092956] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    0.093405] PM: RTC time: 15:45:52, date: 2019-05-22
[    0.093679] NET: Registered protocol family 16
[    0.094822] audit: initializing netlink subsys (disabled)
[    0.094961] audit: type=2000 audit(1558539952.020:1): state=initialized audit_enabled=0 res=1
[    0.096017] cpuidle: using governor menu
[    0.096531] Simple Boot Flag at 0x44 set to 0x1
[    0.096689] ACPI: bus type PCI registered
[    0.096989] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.097262] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.097384] PCI: Using MMCONFIG for extended config space
[    0.097499] PCI: Using configuration type 1 for base access
[    0.098084] mtrr: your CPUs had inconsistent variable MTRR settings
[    0.098217] mtrr: probably your BIOS does not setup all CPUs.
[    0.098334] mtrr: corrected configuration.
[    0.110891] kworker/u8:2 (275) used greatest stack depth: 6556 bytes left
[    0.118676] HugeTLB registered 4.00 MiB page size, pre-allocated 0 pages
[    0.119892] ACPI: Added _OSI(Module Device)
[    0.120015] ACPI: Added _OSI(Processor Device)
[    0.120135] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.120245] ACPI: Added _OSI(Processor Aggregator Device)
[    0.120367] ACPI: Added _OSI(Linux-Dell-Video)
[    0.120479] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.120500] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
[    0.134236] ACPI: 2 ACPI AML tables successfully acquired and loaded
[    0.137704] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.138854] ACPI: Dynamic OEM Table Load:
[    0.138983] ACPI: SSDT 0x00000000F6011800 000708 (v01 PmRef  Cpu0Ist  00003000 INTL 20051117)
[    0.140433] ACPI: Dynamic OEM Table Load:
[    0.140509] ACPI: SSDT 0x00000000F6012000 000646 (v01 PmRef  Cpu0Cst  00003001 INTL 20051117)
[    0.142167] ACPI: Dynamic OEM Table Load:
[    0.142289] ACPI: SSDT 0x00000000F5863400 00015F (v01 PmRef  ApIst    00003000 INTL 20051117)
[    0.143039] ACPI: Dynamic OEM Table Load:
[    0.143160] ACPI: SSDT 0x00000000F60C2D80 00008D (v01 PmRef  ApCst    00003000 INTL 20051117)
[    0.145597] ACPI: EC: EC started
[    0.145706] ACPI: EC: interrupt blocked
[    0.150366] ACPI: \_SB_.PCI0.LPC_.EC0_: Used as first EC
[    0.150484] ACPI: \_SB_.PCI0.LPC_.EC0_: GPE=0x19, EC_CMD/EC_SC=0x66, EC_DATA=0x62
[    0.150500] ACPI: \_SB_.PCI0.LPC_.EC0_: Boot DSDT EC used to handle transactions
[    0.150669] ACPI: Interpreter enabled
[    0.150828] ACPI: (supports S0 S3 S4 S5)
[    0.150936] ACPI: Using IOAPIC for interrupt routing
[    0.151141] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.152042] ACPI: Enabled 12 GPEs in block 00 to 1F
[    0.173162] ACPI: Power Resource [FN00] (on)
[    0.175556] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.175692] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments]
[    0.176046] acpi PNP0A08:00: _OSC: not requesting OS control; OS requires [ExtendedConfig ASPM ClockPM MSI]
[    0.177158] PCI host bridge to bus 0000:00
[    0.177289] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.177413] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.177502] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.177675] pci_bus 0000:00: root bus resource [mem 0x40000000-0xfebfffff window]
[    0.177847] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.177978] pci 0000:00:00.0: [8086:a010] type 00 class 0x060000
[    0.178241] pci 0000:00:02.0: [8086:a011] type 00 class 0x030000
[    0.178264] pci 0000:00:02.0: reg 0x10: [mem 0x58180000-0x581fffff]
[    0.178276] pci 0000:00:02.0: reg 0x14: [io  0x60c0-0x60c7]
[    0.178286] pci 0000:00:02.0: reg 0x18: [mem 0x40000000-0x4fffffff pref]
[    0.178298] pci 0000:00:02.0: reg 0x1c: [mem 0x58000000-0x580fffff]
[    0.178602] pci 0000:00:02.1: [8086:a012] type 00 class 0x038000
[    0.178624] pci 0000:00:02.1: reg 0x10: [mem 0x58100000-0x5817ffff]
[    0.178923] pci 0000:00:1b.0: [8086:27d8] type 00 class 0x040300
[    0.178968] pci 0000:00:1b.0: reg 0x10: [mem 0x58200000-0x58203fff 64bit]
[    0.179113] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.179364] pci 0000:00:1c.0: [8086:27d0] type 01 class 0x060400
[    0.179554] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.179815] pci 0000:00:1c.1: [8086:27d2] type 01 class 0x060400
[    0.179993] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.180251] pci 0000:00:1d.0: [8086:27c8] type 00 class 0x0c0300
[    0.180334] pci 0000:00:1d.0: reg 0x20: [io  0x6080-0x609f]
[    0.180607] pci 0000:00:1d.1: [8086:27c9] type 00 class 0x0c0300
[    0.180690] pci 0000:00:1d.1: reg 0x20: [io  0x6060-0x607f]
[    0.180952] pci 0000:00:1d.2: [8086:27ca] type 00 class 0x0c0300
[    0.181034] pci 0000:00:1d.2: reg 0x20: [io  0x6040-0x605f]
[    0.181288] pci 0000:00:1d.3: [8086:27cb] type 00 class 0x0c0300
[    0.181373] pci 0000:00:1d.3: reg 0x20: [io  0x6020-0x603f]
[    0.181661] pci 0000:00:1d.7: [8086:27cc] type 00 class 0x0c0320
[    0.181703] pci 0000:00:1d.7: reg 0x10: [mem 0x58204400-0x582047ff]
[    0.181831] pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
[    0.182063] pci 0000:00:1e.0: [8086:2448] type 01 class 0x060401
[    0.182401] pci 0000:00:1f.0: [8086:27bc] type 00 class 0x060100
[    0.182782] pci 0000:00:1f.2: [8086:27c1] type 00 class 0x010601
[    0.182822] pci 0000:00:1f.2: reg 0x10: [io  0x60b8-0x60bf]
[    0.182839] pci 0000:00:1f.2: reg 0x14: [io  0x60cc-0x60cf]
[    0.182855] pci 0000:00:1f.2: reg 0x18: [io  0x60b0-0x60b7]
[    0.182870] pci 0000:00:1f.2: reg 0x1c: [io  0x60c8-0x60cb]
[    0.182885] pci 0000:00:1f.2: reg 0x20: [io  0x60a0-0x60af]
[    0.182901] pci 0000:00:1f.2: reg 0x24: [mem 0x58204000-0x582043ff]
[    0.182972] pci 0000:00:1f.2: PME# supported from D3hot
[    0.183201] pci 0000:00:1f.3: [8086:27da] type 00 class 0x0c0500
[    0.183284] pci 0000:00:1f.3: reg 0x20: [io  0x6000-0x601f]
[    0.183668] pci 0000:01:00.0: [1969:2060] type 00 class 0x020000
[    0.183731] pci 0000:01:00.0: reg 0x10: [mem 0x57000000-0x5703ffff 64bit]
[    0.183752] pci 0000:01:00.0: reg 0x18: [io  0x5000-0x507f]
[    0.183933] pci 0000:01:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.184184] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.184311] pci 0000:00:1c.0:   bridge window [io  0x5000-0x5fff]
[    0.184319] pci 0000:00:1c.0:   bridge window [mem 0x57000000-0x57ffffff]
[    0.184332] pci 0000:00:1c.0:   bridge window [mem 0x50000000-0x50ffffff 64bit pref]
[    0.184475] pci 0000:02:00.0: [168c:002b] type 00 class 0x028000
[    0.184552] pci 0000:02:00.0: reg 0x10: [mem 0x56000000-0x5600ffff 64bit]
[    0.184761] pci 0000:02:00.0: supports D1
[    0.184765] pci 0000:02:00.0: PME# supported from D0 D1 D3hot
[    0.185013] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.185138] pci 0000:00:1c.1:   bridge window [io  0x4000-0x4fff]
[    0.185146] pci 0000:00:1c.1:   bridge window [mem 0x56000000-0x56ffffff]
[    0.185157] pci 0000:00:1c.1:   bridge window [mem 0x51000000-0x51ffffff 64bit pref]
[    0.185193] pci_bus 0000:05: extended config space not accessible
[    0.185432] pci 0000:00:1e.0: PCI bridge to [bus 05] (subtractive decode)
[    0.185518] pci 0000:00:1e.0:   bridge window [io  0x0000-0x0cf7 window] (subtractive decode)
[    0.185522] pci 0000:00:1e.0:   bridge window [io  0x0d00-0xffff window] (subtractive decode)
[    0.185527] pci 0000:00:1e.0:   bridge window [mem 0x000a0000-0x000bffff window] (subtractive decode)
[    0.185532] pci 0000:00:1e.0:   bridge window [mem 0x40000000-0xfebfffff window] (subtractive decode)
[    0.185563] pci_bus 0000:00: on NUMA node 0
[    0.250911] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 9 10 *11 12)
[    0.251235] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 7 9 *10 11 12)
[    0.251568] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 7 9 10 *11 12)
[    0.251877] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 7 9 10 *11 12)
[    0.252187] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 7 9 10 11 12) *0, disabled.
[    0.252571] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 7 9 10 11 12) *0, disabled.
[    0.252935] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 7 9 10 11 12) *0, disabled.
[    0.253301] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 7 9 10 11 12) *0, disabled.
[    0.255190] ACPI: EC: interrupt unblocked
[    0.255342] ACPI: EC: event unblocked
[    0.255511] ACPI: \_SB_.PCI0.LPC_.EC0_: GPE=0x19, EC_CMD/EC_SC=0x66, EC_DATA=0x62
[    0.255686] ACPI: \_SB_.PCI0.LPC_.EC0_: Boot DSDT EC used to handle transactions and events
[    0.256193] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.256193] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.256510] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.256625] vgaarb: loaded
[    0.257085] SCSI subsystem initialized
[    0.257618] libata version 3.00 loaded.
[    0.257674] ACPI: bus type USB registered
[    0.257916] usbcore: registered new interface driver usbfs
[    0.258094] usbcore: registered new interface driver hub
[    0.258294] usbcore: registered new device driver usb
[    0.258777] EDAC MC: Ver: 3.0.0
[    0.259514] Advanced Linux Sound Architecture Driver Initialized.
[    0.259615] PCI: Using ACPI for IRQ routing
[    0.269448] PCI: pci_cache_line_size set to 64 bytes
[    0.269534] e820: reserve RAM buffer [mem 0x0009fc00-0x0009ffff]
[    0.269539] e820: reserve RAM buffer [mem 0x3f494000-0x3fffffff]
[    0.269542] e820: reserve RAM buffer [mem 0x3f577000-0x3fffffff]
[    0.269545] e820: reserve RAM buffer [mem 0x3f5ec000-0x3fffffff]
[    0.269548] e820: reserve RAM buffer [mem 0x3f600000-0x3fffffff]
[    0.270598] NetLabel: Initializing
[    0.270598] NetLabel:  domain hash size = 128
[    0.270598] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.270598] NetLabel:  unlabeled traffic allowed by default
[    0.271741] clocksource: Switched to clocksource refined-jiffies
[    0.559873] VFS: Disk quotas dquot_6.6.0
[    0.560039] VFS: Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.560210] *** VALIDATE hugetlbfs ***
[    0.560449] pnp: PnP ACPI init
[    0.627440] system 00:00: [io  0x164e-0x164f] has been reserved
[    0.627440] system 00:00: [io  0x0600-0x060f] has been reserved
[    0.627440] system 00:00: [io  0x0610] has been reserved
[    0.627440] system 00:00: [io  0x0800-0x080f] has been reserved
[    0.627450] system 00:00: [io  0x0810-0x0817] has been reserved
[    0.627571] system 00:00: [io  0x0400-0x047f] has been reserved
[    0.627688] system 00:00: [io  0x0500-0x053f] has been reserved
[    0.627805] system 00:00: [io  0xff2c-0xff2f] has been reserved
[    0.627924] system 00:00: [mem 0xe0000000-0xefffffff] has been reserved
[    0.628044] system 00:00: [mem 0xfed1c000-0xfed1ffff] has been reserved
[    0.628165] system 00:00: [mem 0xfed14000-0xfed17fff] has been reserved
[    0.628284] system 00:00: [mem 0xfed18000-0xfed18fff] has been reserved
[    0.628447] system 00:00: [mem 0xfed19000-0xfed19fff] has been reserved
[    0.628568] system 00:00: [mem 0xfec00000-0xfec00fff] could not be reserved
[    0.628696] system 00:00: [mem 0xfee00000-0xfee00fff] has been reserved
[    0.629447] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.629495] pnp 00:01: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.629583] pnp 00:02: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.629583] pnp 00:03: Plug and Play ACPI device, IDs SYN1b1c SYN1b00 SYN0002 PNP0f13 (active)
[    0.629895] pnp: PnP ACPI: found 4 devices
[    0.674611] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.674831] clocksource: Switched to clocksource acpi_pm
[    0.675003] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.675142] pci 0000:00:1c.0:   bridge window [io  0x5000-0x5fff]
[    0.675282] pci 0000:00:1c.0:   bridge window [mem 0x57000000-0x57ffffff]
[    0.675423] pci 0000:00:1c.0:   bridge window [mem 0x50000000-0x50ffffff 64bit pref]
[    0.675423] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.675423] pci 0000:00:1c.1:   bridge window [io  0x4000-0x4fff]
[    0.675601] pci 0000:00:1c.1:   bridge window [mem 0x56000000-0x56ffffff]
[    0.675741] pci 0000:00:1c.1:   bridge window [mem 0x51000000-0x51ffffff 64bit pref]
[    0.675923] pci 0000:00:1e.0: PCI bridge to [bus 05]
[    0.676053] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    0.676058] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    0.676062] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.676067] pci_bus 0000:00: resource 7 [mem 0x40000000-0xfebfffff window]
[    0.676071] pci_bus 0000:01: resource 0 [io  0x5000-0x5fff]
[    0.676076] pci_bus 0000:01: resource 1 [mem 0x57000000-0x57ffffff]
[    0.676080] pci_bus 0000:01: resource 2 [mem 0x50000000-0x50ffffff 64bit pref]
[    0.676085] pci_bus 0000:02: resource 0 [io  0x4000-0x4fff]
[    0.676089] pci_bus 0000:02: resource 1 [mem 0x56000000-0x56ffffff]
[    0.676093] pci_bus 0000:02: resource 2 [mem 0x51000000-0x51ffffff 64bit pref]
[    0.676098] pci_bus 0000:05: resource 4 [io  0x0000-0x0cf7 window]
[    0.676102] pci_bus 0000:05: resource 5 [io  0x0d00-0xffff window]
[    0.676107] pci_bus 0000:05: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.676111] pci_bus 0000:05: resource 7 [mem 0x40000000-0xfebfffff window]
[    0.676356] NET: Registered protocol family 2
[    0.676906] tcp_listen_portaddr_hash hash table entries: 512 (order: 0, 6144 bytes)
[    0.677093] TCP established hash table entries: 8192 (order: 3, 32768 bytes)
[    0.677252] TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
[    0.677420] TCP: Hash tables configured (established 8192 bind 8192)
[    0.677654] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.677785] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.678025] NET: Registered protocol family 1
[    0.678627] RPC: Registered named UNIX socket transport module.
[    0.678748] RPC: Registered udp transport module.
[    0.678857] RPC: Registered tcp transport module.
[    0.678965] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    0.679446] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.682422] pci 0000:01:00.0: [Firmware Bug]: disabling VPD access (can't determine size of non-standard VPD format)
[    0.682659] PCI: CLS 64 bytes, default 64
[    0.682801] Unpacking initramfs...
[    1.153737] Freeing initrd memory: 1516K
[    1.156105] check: Scanning for low memory corruption every 60 seconds
[    1.158627] Initialise system trusted keyrings
[    1.158910] workingset: timestamp_bits=30 max_order=18 bucket_order=0
[    1.168827] NFS: Registering the id_resolver key type
[    1.168974] Key type id_resolver registered
[    1.169083] Key type id_legacy registered
[    1.169788] ntfs: driver 2.1.32 [Flags: R/O].
[    1.238439] Key type asymmetric registered
[    1.238593] Asymmetric key parser 'x509' registered
[    1.238738] bounce: pool size: 64 pages
[    1.238887] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    1.239086] io scheduler mq-deadline registered
[    1.239196] io scheduler kyber registered
[    1.304857] ACPI: AC Adapter [AC] (on-line)
[    1.305250] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
[    1.305469] ACPI: Power Button [PWRB]
[    1.305801] input: Sleep Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
[    1.306012] ACPI: Sleep Button [SLPB]
[    1.306286] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2
[    1.307476] ACPI: Lid Switch [LID0]
[    1.307813] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
[    1.308038] ACPI: Power Button [PWRF]
[    1.309464] Monitor-Mwait will be used to enter C-1 state
[    1.309526] Monitor-Mwait will be used to enter C-2 state
[    1.315217] thermal LNXTHERM:00: registered as thermal_zone0
[    1.315339] ACPI: Thermal Zone [THRM] (32 C)
[    1.315900] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.317968] hpet_acpi_add: no address or irqs in _CRS
[    1.318275] Non-volatile memory driver v1.3
[    1.318547] Linux agpgart interface v0.103
[    1.319572] pci 0000:00:00.0: Intel GMA3150 Chipset
[    1.319727] pci 0000:00:00.0: detected gtt size: 524288K total, 262144K mappable
[    1.320066] pci 0000:00:00.0: detected 8192K stolen memory
[    1.320366] i915 0000:00:02.0: vgaarb: deactivate vga console
[    1.321395] Console: switching to colour dummy device 80x25
[    1.322839] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.322854] [drm] Driver supports precise vblank timestamp query.
[    1.324233] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    1.345838] [drm] RC6 disabled, disabling runtime PM support
[    1.345961] [drm] Initialized overlay support.
[    1.346915] [drm] Initialized i915 1.6.0 20190207 for 0000:00:02.0 on minor 0
[    1.348890] ACPI: Video Device [OVGA] (multi-head: yes  rom: no  post: no)
[    1.455603] random: fast init done
[    1.665737] acpi device:27: registered as cooling_device5
[    1.665968] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input4
[    1.673778] loop: module loaded
[    1.674139] ahci 0000:00:1f.2: version 3.0
[    1.674597] ahci 0000:00:1f.2: SSS flag set, parallel bus scan disabled
[    1.674660] ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 4 ports 3 Gbps 0x3 impl SATA mode
[    1.674677] ahci 0000:00:1f.2: flags: 64bit ncq ilck stag pm led clo pmp pio slum part
[    1.676873] scsi host0: ahci
[    1.677481] scsi host1: ahci
[    1.678031] scsi host2: ahci
[    1.678603] scsi host3: ahci
[    1.678920] ata1: SATA max UDMA/133 abar m1024@0x58204000 port 0x58204100 irq 17
[    1.678948] ata2: SATA max UDMA/133 abar m1024@0x58204000 port 0x58204180 irq 17
[    1.678965] ata3: DUMMY
[    1.678976] ata4: DUMMY
[    1.684987] fbcon: inteldrmfb (fb0) is primary device
[    1.728495] ath: phy0: Enable LNA combining
[    1.731154] ath: phy0: ASPM enabled: 0x42
[    1.731158] ath: EEPROM regdomain: 0x65
[    1.731160] ath: EEPROM indicates we should expect a direct regpair map
[    1.731165] ath: Country alpha2 being used: 00
[    1.731166] ath: Regpair used: 0x65
[    1.733861] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    1.734746] ieee80211 phy0: Atheros AR9285 Rev:2 mem=0xf7910000, irq=17
[    1.734975] usbcore: registered new interface driver ath9k_htc
[    1.735297] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.735299] ehci-pci: EHCI PCI platform driver
[    1.735771] ehci-pci 0000:00:1d.7: EHCI Host Controller
[    1.735944] ehci-pci 0000:00:1d.7: new USB bus registered, assigned bus number 1
[    1.735969] ehci-pci 0000:00:1d.7: debug port 1
[    1.739913] ehci-pci 0000:00:1d.7: cache line size of 64 is not supported
[    1.739951] ehci-pci 0000:00:1d.7: irq 22, io mem 0x58204400
[    1.746621] ehci-pci 0000:00:1d.7: USB 2.0 started, EHCI 1.00
[    1.746775] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 5.01
[    1.746780] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.746784] usb usb1: Product: EHCI Host Controller
[    1.746788] usb usb1: Manufacturer: Linux 5.1.0-gentoo ehci_hcd
[    1.746791] usb usb1: SerialNumber: 0000:00:1d.7
[    1.747181] hub 1-0:1.0: USB hub found
[    1.747202] hub 1-0:1.0: 8 ports detected
[    1.748161] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.748184] ohci-pci: OHCI PCI platform driver
[    1.748243] uhci_hcd: USB Universal Host Controller Interface driver
[    1.748659] uhci_hcd 0000:00:1d.0: UHCI Host Controller
[    1.748839] uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    1.748911] uhci_hcd 0000:00:1d.0: irq 18, io base 0x00006080
[    1.749085] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001, bcdDevice= 5.01
[    1.749089] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.749093] usb usb2: Product: UHCI Host Controller
[    1.749097] usb usb2: Manufacturer: Linux 5.1.0-gentoo uhci_hcd
[    1.749100] usb usb2: SerialNumber: 0000:00:1d.0
[    1.749443] hub 2-0:1.0: USB hub found
[    1.749465] hub 2-0:1.0: 2 ports detected
[    1.750192] uhci_hcd 0000:00:1d.1: UHCI Host Controller
[    1.750371] uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
[    1.750442] uhci_hcd 0000:00:1d.1: irq 20, io base 0x00006060
[    1.750657] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001, bcdDevice= 5.01
[    1.750662] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.750666] usb usb3: Product: UHCI Host Controller
[    1.750670] usb usb3: Manufacturer: Linux 5.1.0-gentoo uhci_hcd
[    1.750673] usb usb3: SerialNumber: 0000:00:1d.1
[    1.751005] hub 3-0:1.0: USB hub found
[    1.751027] hub 3-0:1.0: 2 ports detected
[    1.751776] uhci_hcd 0000:00:1d.2: UHCI Host Controller
[    1.751944] uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
[    1.752010] uhci_hcd 0000:00:1d.2: irq 21, io base 0x00006040
[    1.752176] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001, bcdDevice= 5.01
[    1.752181] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.752185] usb usb4: Product: UHCI Host Controller
[    1.752189] usb usb4: Manufacturer: Linux 5.1.0-gentoo uhci_hcd
[    1.752192] usb usb4: SerialNumber: 0000:00:1d.2
[    1.752576] hub 4-0:1.0: USB hub found
[    1.752600] hub 4-0:1.0: 2 ports detected
[    1.753314] uhci_hcd 0000:00:1d.3: UHCI Host Controller
[    1.753484] uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
[    1.753592] uhci_hcd 0000:00:1d.3: irq 22, io base 0x00006020
[    1.753754] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001, bcdDevice= 5.01
[    1.753759] usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.753763] usb usb5: Product: UHCI Host Controller
[    1.753767] usb usb5: Manufacturer: Linux 5.1.0-gentoo uhci_hcd
[    1.753770] usb usb5: SerialNumber: 0000:00:1d.3
[    1.754104] hub 5-0:1.0: USB hub found
[    1.754125] hub 5-0:1.0: 2 ports detected
[    1.754668] usbcore: registered new interface driver usblp
[    1.754782] usbcore: registered new interface driver usb-storage
[    1.754912] i8042: PNP: PS/2 Controller [PNP0303:KBC0,PNP0f13:MSS0] at 0x60,0x64 irq 1,12
[    1.773583] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.773604] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.775078] rtc_cmos 00:01: RTC can wake from S4
[    1.775393] rtc_cmos 00:01: registered as rtc0
[    1.775463] rtc_cmos 00:01: alarms up to one month, 242 bytes nvram
[    1.776020] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[    1.776477] device-mapper: ioctl: 4.40.0-ioctl (2019-01-18) initialised: dm-devel@redhat.com
[    1.776486] intel_pstate: CPU model not supported
[    1.776663] hidraw: raw HID events driver (C) Jiri Kosina
[    1.777843] usbcore: registered new interface driver usbhid
[    1.777846] usbhid: USB HID core driver
[    1.780149] Initializing XFRM netlink socket
[    1.780697] NET: Registered protocol family 10
[    1.781436] Segment Routing with IPv6
[    1.781955] sit: IPv6, IPv4 and MPLS over IPv4 tunneling driver
[    1.782430] NET: Registered protocol family 17
[    1.782480] Key type dns_resolver registered
[    1.783655] microcode: sig=0x106ca, pf=0x10, revision=0x107
[    1.783838] microcode: Microcode Update Driver: v2.2.
[    1.783846] Using IPI No-Shortcut mode
[    1.784344] registered taskstats version 1
[    1.784346] Loading compiled-in X.509 certificates
[    1.784970] PM:   Magic number: 3:474:791
[    1.791290] hdaudio hdaudioC0D0: Unable to bind the codec
[    1.795696] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input5
[    1.929837] battery: ACPI: Battery Slot [BAT0] (battery present)
[    2.068593] usb 1-4: new high-speed USB device number 2 using ehci-pci
[    2.146694] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    2.147661] ata1.00: unexpected _GTF length (4)
[    2.148072] ata1.00: ATA-8: Hitachi HTS545025B9A300, PB2OC60F, max UDMA/133
[    2.148079] ata1.00: 488397168 sectors, multi 16: LBA48 NCQ (depth 32), AA
[    2.149173] ata1.00: unexpected _GTF length (4)
[    2.149610] ata1.00: configured for UDMA/133
[    2.305316] usb 1-4: New USB device found, idVendor=064e, idProduct=d214, bcdDevice= 1.00
[    2.305322] usb 1-4: New USB device strings: Mfr=3, Product=1, SerialNumber=4
[    2.305326] usb 1-4: Product: WebCam
[    2.305329] usb 1-4: Manufacturer: SuYin
[    2.305333] usb 1-4: SerialNumber: HF0319-M08C-OV01-VA-R01.00.00
[    2.421552] Console: switching to colour frame buffer device 128x37
[    2.824419] psmouse serio1: synaptics: queried max coordinates: x [..5612], y [..4618]
[    2.826883] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    2.873532] printk: console [netcon0] enabled
[    2.876865] netconsole: network logging started
[    2.881611] scsi 0:0:0:0: Direct-Access     ATA      Hitachi HTS54502 C60F PQ: 0 ANSI: 5
[    2.886264] sd 0:0:0:0: [sda] 488397168 512-byte logical blocks: (250 GB/233 GiB)
[    2.886309] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[    2.890115] sd 0:0:0:0: [sda] Write Protect is off
[    2.895365] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    2.897836] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    2.898104] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.914221] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[    2.920608] platform regulatory.0: Direct firmware load for regulatory.db failed with error -2
[    2.924151] Unstable clock detected, switching default tracing clock to "global"
               If you want to keep using the local clock, then add:
                 "trace_clock=local"
               on the kernel command line
[    2.927016] cfg80211: failed to load regulatory.db
[    2.935241]  sda: sda1 sda2 sda3 sda4
[    2.936577] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.963016] ALSA device list:
[    2.966657]   No soundcards found.
[    2.980648] psmouse serio1: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd04731/0xa40000/0xa0000/0x0, board id: 0, fw id: 528321
[    3.058426] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input7
[    3.209806] ata2: SATA link down (SStatus 0 SControl 300)
[    3.217268] Freeing unused kernel image memory: 740K
[    3.226701] Write protecting kernel text and read-only data: 12936k
[    3.230671] Run /init as init process
[    5.875646] EXT4-fs (sda4): mounted filesystem with ordered data mode. Opts: (null)
[    5.875980] mount (2977) used greatest stack depth: 6216 bytes left
[    6.274799] random: crng init done
[    6.402823] test (2995) used greatest stack depth: 6076 bytes left
[    7.540243] init-early.sh (2999) used greatest stack depth: 5960 bytes left
[   13.931805] udevd[3456]: starting version 3.2.7
[   14.706926] udevd[3456]: starting eudev-3.2.7
[   15.252736] ath9k 0000:02:00.0 wlp2s0: renamed from wlan0
[   17.660167] EXT4-fs (sda4): re-mounted. Opts: (null)
[   18.141735] Adding 1048572k swap on /dev/sda3.  Priority:-2 extents:1 across:1048572k
[   18.311245] EXT4-fs (sda2): mounting ext3 file system using the ext4 subsystem
[   18.348762] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
[   19.050475] dmesg (3929) used greatest stack depth: 5948 bytes left
[   22.627770] ip (4333) used greatest stack depth: 5736 bytes left
[   24.107047] wlp2s0: authenticate with 34:8f:27:22:82:b8
[   24.120734] wlp2s0: send auth to 34:8f:27:22:82:b8 (try 1/3)
[   24.122031] wlp2s0: authenticated
[   24.122574] wlp2s0: associate with 34:8f:27:22:82:b8 (try 1/3)
[   24.143552] wlp2s0: RX AssocResp from 34:8f:27:22:82:b8 (capab=0x1421 status=0 aid=1)
[   24.143761] wlp2s0: associated
[   24.145231] IPv6: ADDRCONF(NETDEV_CHANGE): wlp2s0: link becomes ready
[   24.166140] ath: EEPROM regdomain: 0x833a
[   24.166144] ath: EEPROM indicates we should expect a country code
[   24.166149] ath: doing EEPROM country->regdmn map search
[   24.166154] ath: country maps to regdmn code: 0x37
[   24.166158] ath: Country alpha2 being used: GB
[   24.166161] ath: Regpair used: 0x37
[   24.166166] ath: regdomain 0x833a dynamically updated by country element
[   24.221827] wlp2s0: Limiting TX power to 20 (20 - 0) dBm as advertised by 34:8f:27:22:82:b8


I'll write the compiling log process, there's no error though, so I don't know if it is useful https://bpaste.net/raw/6b569db806c3


Last edited by HilhilPoly on Thu May 23, 2019 11:34 pm; edited 3 times in total
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2245
Location: Frankfurt, Germany

PostPosted: Wed May 22, 2019 11:18 pm    Post subject: Reply with quote

1) Please post the output of 'emerge --info'

2) Do you get this error if you install the latest stable version of Samba (4.8.6-r2)?

3) Do you get this error if you use an older kernel?
Back to top
View user's profile Send private message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Wed May 22, 2019 11:40 pm    Post subject: Reply with quote

mike155 wrote:
1) Please post the output of 'emerge --info'

2) Do you get this error if you install the latest stable version of Samba (4.8.6-r2)?

3) Do you get this error if you use an older kernel?


1) here we go
Code:
# emerge --info
Portage 2.3.66 (python 3.6.8-final-0, default/linux/x86/17.0/desktop/gnome, gcc-8.2.0, glibc-2.29-r2, 5.1.0-gentoo i686)
=================================================================
System uname: Linux-5.1.0-gentoo-i686-Intel-R-_Atom-TM-_CPU_N570_@_1.66GHz-with-gentoo-2.6
KiB Mem:     1013128 total,    188164 free
KiB Swap:    1048572 total,   1048572 free
Timestamp of repository gentoo: Tue, 14 May 2019 20:00:01 +0000
Head commit of repository gentoo: a3ff750c875f6858838c0f0a010960f622c3570e
sh bash 5.0_p7
ld GNU ld (Gentoo 2.31.1 p5) 2.31.1
app-shells/bash:          5.0_p7::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.16::gentoo, 3.6.8::gentoo
dev-util/cmake:           3.14.3::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.17::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r4::gentoo, 2.32-r1::gentoo
sys-devel/gcc:            8.2.0-r6::gentoo, 9.1.0::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.0-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1

ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA @FREE @EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=native -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=native -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa berkdb bluetooth branding bzip2 cairo cdda cdr cli colord crypt cups cxx dbus dri dts dvd dvdr eds elogind emboss encode evo exif fam flac fortran gdbm gif glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv introspection ipv6 jpeg lcms ldap libnotify libsecret libtirpc mad mng mp3 mp4 mpeg nautilus ncurses networkmanager nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt5 readline sdl seccomp spell ssl startup-notification svg tcpd tiff tracker truetype udev udisks unicode upower usb vorbis wxwidgets x264 x86 xattr xcb xml xv xvid zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput synaptics keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Now that I found out how install a specific version of a package(I'm a novice of Gentoo, sorry), I'll tell you if using the stable Samba is fine. Also, I'd like to understand if forcing portage to install the latest stable version of everything is possible.
About the kernel, this is my first time installing Gentoo, so I think the kernel has never been upgraded, I wouldn't know how to use an older kernel.
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2245
Location: Frankfurt, Germany

PostPosted: Wed May 22, 2019 11:58 pm    Post subject: Reply with quote

Quote:
I'm a novice of Gentoo, sorry

So why did you switch to unstable?
Code:
ACCEPT_KEYWORDS="x86 ~x86"

Don't do that unless you're an experienced user.
Code:
KiB Mem:     1013128 total,    188164 free
KiB Swap:    1048572 total,   1048572 free

1 GB of RAM is probably not enough - it could be an out-of-memory problem. Is /var/tmp/portage mounted to a tmpfs volume? If it is: unmount /var/tmp/portage so that /var/tmp/portage is located on your hard disk and retry.
Back to top
View user's profile Send private message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Thu May 23, 2019 12:08 am    Post subject: Reply with quote

mike155 wrote:
Quote:
I'm a novice of Gentoo, sorry

So why did you switch to unstable?
Code:
ACCEPT_KEYWORDS="x86 ~x86"

Don't do that unless you're an experienced user.

I didn't do any of them, or, at least, I didn't mean to do so. It is completely unexpected to me.
mike155 wrote:
Code:
KiB Mem:     1013128 total,    188164 free
KiB Swap:    1048572 total,   1048572 free

1 GB of RAM is probably not enough - it could be an out-of-memory problem. Is /var/tmp/portage mounted to a tmpfs volume? If it is: unmount /var/tmp/portage so that /var/tmp/portage is a directory on your disk and retry.

As I said before, I had some out-of-memory error, this seems a different thing. Anyway, I'm still waiting for portage emerging the latest stable version of Samba, everything seems ok.

Fun fact: the swap size should be bigger, since I created a 4GB swapfile, after the 1GB swap partition. I don't know why the system doesn't recognize it.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 15603

PostPosted: Thu May 23, 2019 1:49 am    Post subject: Reply with quote

How did you enable the second swap volume?
Back to top
View user's profile Send private message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Thu May 23, 2019 2:33 am    Post subject: Reply with quote

Hu wrote:
How did you enable the second swap volume?

I couldn't find the exact guide, but I got what happened. I was in a root shell and I issued(maybe the commands are written badly, I'm trying to remember them while writing)
Code:
# dd if=/dev/zero of=swapfile.swp bs=4096 count=1Mb
# mkswap swapfile.swp
# swapon swapfile.swp


then, I forgot to make boot this last file as swap memory. So, after a reboot, the swap file is no longer used. Indeed, if I issue the swapon command again, and then check for all swap memories, I obtain this
Code:
# swapon -s
Filename            Type      Size   Used   Priority
/dev/sda3                                 partition   1048572   0   -2
/root/swapfile.swp                        file       4194300   0   -3


Anyway, emerging the latest stable version of Samba worked, and I managed to run Gnome! So thank you very much mike, you saved me.
Before marking this thread as solved, I'd like to ask you the last things.
Do you think that I should use this swapfile at boot? How could I do it?
mike suggested that portage can emerge the latest version of packages in my system, not the latest stable: I don't know how it's possible, maybe the
Code:
ACCEPT_KEYWORDS="x86 ~x86"
does this. If I remove it (I suppose the ~x86 is the problem), should I expect some problem from the system? Otherwise, how can I force portage installing the latest stable versions only?
The system with Gnome seems pretty fast even if it's running on an Intel Atom and using just 1GB as RAM, but do you know any trick in order to keep the system as fast as possible?

Thank you again anyway, guys.
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2245
Location: Frankfurt, Germany

PostPosted: Thu May 23, 2019 11:09 pm    Post subject: Reply with quote

HilhilPoly wrote:
mike suggested that portage can emerge the latest version of packages in my system, not the latest stable: I don't know how it's possible, maybe the
Code:
ACCEPT_KEYWORDS="x86 ~x86"

does this. If I remove it (I suppose the ~x86 is the problem), should I expect some problem from the system? Otherwise, how can I force portage installing the latest stable versions only?

I think I would go back to stable. Edit /etc/portage/make.conf and change ACCEPT_KEYWORDS to
Code:
ACCEPT_KEYWORDS="x86"

After that, run
Code:
emerge --update --deep --newuse -av world

This will downgrade many packages to the latest stable version. If you want to keep some packages at a newer-than-stable version, add those packages to /etc/portage/package.accept_keywords, see: https://wiki.gentoo.org/wiki/ACCEPT_KEYWORDS. I try to keep package.accept_keywords as small as possible.
Back to top
View user's profile Send private message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Thu May 23, 2019 11:32 pm    Post subject: Reply with quote

mike155 wrote:
HilhilPoly wrote:
mike suggested that portage can emerge the latest version of packages in my system, not the latest stable: I don't know how it's possible, maybe the
Code:
ACCEPT_KEYWORDS="x86 ~x86"

does this. If I remove it (I suppose the ~x86 is the problem), should I expect some problem from the system? Otherwise, how can I force portage installing the latest stable versions only?

I think I would go back to stable. Edit /etc/portage/make.conf and change ACCEPT_KEYWORDS to
Code:
ACCEPT_KEYWORDS="x86"

After that, run
Code:
emerge --update --deep --newuse -av world

This will downgrade many packages to the latest stable version. If you want to keep some packages at a newer-than-stable version, add those packages to /etc/portage/package.accept_keywords, see: https://wiki.gentoo.org/wiki/ACCEPT_KEYWORDS. I try to keep package.accept_keywords as small as possible.

Fortunately, I got used a bit more to Gentoo from my own(yeeeeah), and I supposed that ~x86 allows emerging unstable packages, and I basically did what you wrote. Now portage is recompiling some package. At the moment it's working on gcc, and it's a pain, so heavy and slow lol.

Anyway, the change I did in /etc/portage/make.conf is slightly different from your suggestion: since I could find only
Code:
ACCEPT_KEYWORDS="~x86"
in make.conf, I just commented it. I don't know why, portage acts as if there is
Code:
ACCEPT_KEYWORDS="x86"
too, because emerge --info shows it.
I suppose it's fine, anyway.
I'll go marking the thread as resolved anyway, the issue of the stable packages was my last main concern. Cheers!
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2245
Location: Frankfurt, Germany

PostPosted: Thu May 23, 2019 11:51 pm    Post subject: Reply with quote

  1. After 'emerge --update --deep --newuse @world' has finished, switch to GCC 8.3 and Binutils 2.31:
    Code:
    eselect gcc list
    eselect gcc set <N>
    eselect binutils list
    eselect binutils set <N>

  2. After that, log out, log in and run
    Code:
    emerge --depclean -a

  3. If you like, post the output of 'emerge --info' after that. I can double-check that everything is fine.
Back to top
View user's profile Send private message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Fri May 24, 2019 11:52 am    Post subject: Reply with quote

Bless you for your suggestion. Unfortunately, emerge --depclean gives this
Code:
emerge --depclean

 * Always study the list of packages to be cleaned for any obvious
 * mistakes. Packages that are part of the world set will always
 * be kept.  They can be manually added to this set with
 * `emerge --noreplace <atom>`.  Packages that are listed in
 * package.provided (see portage(5)) will be removed by
 * depclean, even if they are part of the world set.
 *
 * As a safety measure, depclean will not remove any packages
 * unless *all* required dependencies have been resolved.  As a
 * consequence of this, it often becomes necessary to run
 * `emerge --update --newuse --deep @world` prior to depclean.

Calculating dependencies... done!
 * Dependencies could not be completely resolved due to
 * the following required packages not being installed:
 *
 *   >=sys-libs/tdb-1.3.15[python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_single_target_python2_7(+),abi_x86_32(-)] pulled in by:
 *     net-fs/samba-4.8.6-r2
 *
 *   <sys-libs/ldb-1.4.0[ldap(+),python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_single_target_python2_7(+),abi_x86_32(-)] pulled in by:
 *     net-fs/samba-4.8.6-r2
 *
 *   sys-apps/busybox[mdev] pulled in by:
 *     virtual/dev-manager-0-r2
 *
 *   >=sys-libs/ldb-1.3.6[ldap(+),python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_single_target_python2_7(+),abi_x86_32(-)] pulled in by:
 *     net-fs/samba-4.8.6-r2
 *
 *   >=sys-libs/talloc-2.1.11[python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_single_target_python2_7(+),abi_x86_32(-)] pulled in by:
 *     net-fs/samba-4.8.6-r2
 *
 *   >=sys-libs/tevent-0.9.36[python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_single_target_python2_7(+),abi_x86_32(-)] pulled in by:
 *     net-fs/samba-4.8.6-r2
 *
 * Have you forgotten to do a complete update prior to depclean? The
 * most comprehensive command for this purpose is as follows:
 *
 *   emerge --update --newuse --deep --with-bdeps=y @world
 *
 * Note that the --with-bdeps=y option is not required in many
 * situations. Refer to the emerge manual page (run `man emerge`)
 * for more information about --with-bdeps.
 *
 * Also, note that it may be necessary to manually uninstall
 * packages that no longer exist in the repository, since it may not
 * be possible to satisfy their dependencies.


I tried to run emerge --update --newuse --deep --with-bdeps=y @world, among other erroes, he proposed me to add a keyword change for 4 different perl packages. I said "ok, let's try". Now, I got this error.

Code:
poly /home/poly # emerge --update --newuse --deep --with-bdeps=y @world
Calculating dependencies... done!
[ebuild     UD ] sys-kernel/linux-headers-4.14-r1 [5.0-r1]
[ebuild     UD ] sys-libs/glibc-2.28-r6 [2.29-r2]
[ebuild     UD ] dev-qt/qtchooser-0_p20170803 [66]
[ebuild     UD ] sys-libs/libseccomp-2.4.0 [2.4.1]
[ebuild     UD ] sys-apps/debianutils-4.8.3 [4.8.6.1]
[ebuild     UD ] sys-devel/llvm-common-7.1.0 [8.0.0]
[ebuild     UD ] sys-apps/install-xattr-0.5 [0.7]
[ebuild     UD ] dev-libs/libaio-0.3.110 [0.3.111]
[ebuild     UD ] sys-apps/keyutils-1.5.9-r4 [1.6]
[ebuild     UD ] dev-libs/libatomic_ops-7.6.6 [7.6.10]
[ebuild     UD ] dev-libs/ell-0.9 [0.20]
[ebuild     UD ] media-libs/opus-1.3 [1.3.1]
[ebuild     UD ] virtual/libffi-3.0.13-r1 [3.3_rc0]
[ebuild     UD ] sys-libs/timezone-data-2018i [2019a]
[ebuild     UD ] sys-devel/binutils-config-5-r4 [5.1-r1]
[ebuild     UD ] sys-apps/sysvinit-2.93 [2.94]
[ebuild     UD ] app-misc/pax-utils-1.2.3 [1.2.4]
[ebuild     UD ] app-portage/elt-patches-20170815 [20170826.1]
[ebuild     UD ] dev-libs/gmp-6.1.2 [6.1.2-r1]
[ebuild     UD ] net-firewall/iptables-1.6.1-r3 [1.8.2-r2]
[ebuild     UD ] dev-libs/npth-1.3 [1.6-r1]
[ebuild     UD ] sys-apps/sandbox-2.13 [2.17]
[ebuild     UD ] media-libs/giflib-5.1.4 [5.1.9]
[ebuild     UD ] dev-libs/libyaml-0.1.7 [0.2.2] USE="-examples%"
[ebuild     UD ] dev-libs/boehm-gc-7.6.4 [8.0.4]
[ebuild     UD ] dev-libs/libpipeline-1.4.2 [1.5.1]
[ebuild     UD ] sys-libs/cracklib-2.9.6-r2 [2.9.7]
[ebuild     UD ] sys-apps/kmod-25 [26]
[ebuild     UD ] media-libs/freetype-2.9.1-r3 [2.10.0]
[ebuild     UD ] dev-libs/libassuan-2.5.1 [2.5.1-r1]
[ebuild     UD ] dev-libs/libksba-1.3.5-r1 [1.3.5-r2]
[ebuild     UD ] app-portage/portage-utils-0.74 [0.74-r1]
[ebuild  N     ] dev-libs/libressl-2.8.3  USE="asm -static-libs -test"
[ebuild     UD ] dev-libs/libpcre-8.42 [8.43]
[ebuild     UD ] dev-libs/libpcre2-10.32 [10.33]
[ebuild  N     ] dev-lang/mujs-1.0.5  USE="-static-libs"
[ebuild     UD*] dev-lang/perl-5.26.9999 [5.28.2-r1]
[ebuild     UD ] virtual/perl-Test-Harness-3.380.0 [3.420.0]
[ebuild     UD ] virtual/perl-Data-Dumper-2.167.0 [2.170.0]
[ebuild     UD ] virtual/perl-Carp-1.420.0 [1.500.0-r1]
[ebuild     UD ] virtual/perl-Exporter-5.720.0-r3 [5.730.0-r1]
[ebuild     UD ] virtual/perl-Encode-2.880.0 [2.970.0]
[ebuild     UD ] virtual/perl-Scalar-List-Utils-1.460.200_rc [1.500.0]
[ebuild     UD ] virtual/perl-File-Spec-3.670.0 [3.740.0]
[ebuild     UD ] virtual/perl-IO-1.380.0 [1.390.0]
[ebuild     UD ] virtual/perl-Compress-Raw-Zlib-2.74.0 [2.76.0]
[ebuild     UD ] virtual/perl-XSLoader-0.270.0 [0.300.0]
[ebuild     UD ] virtual/perl-libnet-3.100.0 [3.110.0]
[ebuild     UD ] dev-perl/X11-Protocol-0.560.0-r1 [0.560.0-r2]
[ebuild     UD ] virtual/perl-Storable-2.620.0 [3.80.100_rc]
[ebuild     UD ] virtual/perl-IO-Socket-IP-0.380.0 [0.390.0]
[ebuild     UD ] virtual/perl-Time-HiRes-1.974.100-r2 [1.975.900]
[ebuild     UD ] virtual/perl-ExtUtils-MakeMaker-7.240.0 [7.340.0-r1]
[ebuild     UD ] virtual/perl-JSON-PP-2.274.0.200_rc [2.970.10]
[ebuild     UD ] virtual/perl-Getopt-Long-2.490.0 [2.500.0-r1]
[ebuild     UD ] virtual/perl-version-0.991.700 [0.992.300]
[ebuild     UD ] virtual/perl-podlators-4.90.0 [4.100.0]
[ebuild     UD ] virtual/perl-ExtUtils-ParseXS-3.340.0 [3.390.0]
[ebuild     UD ] virtual/perl-ExtUtils-Install-2.40.0-r3 [2.140.0-r1]
[ebuild     UD ] virtual/perl-ExtUtils-CBuilder-0.280.225-r2 [0.280.230]
[ebuild     UD ] dev-perl/Net-SSLeay-1.820.0 [1.850.0]
[ebuild  N     ] virtual/logger-0-r1
[ebuild     UD ] dev-lang/orc-0.4.28-r1 [0.4.29]
[ebuild     UD ] sys-devel/libtool-2.4.6-r3 [2.4.6-r5]
[ebuild     UD ] dev-libs/libgcrypt-1.8.3 [1.8.4]
[ebuild     UD ] dev-db/sqlite-3.27.2 [3.28.0] USE="-secure-delete*"
[ebuild     UD ] dev-libs/nspr-4.20 [4.21]
[ebuild     UD ] app-text/libpaper-1.1.24-r2 [1.1.24_p5]
[ebuild     UD ] sys-libs/libcap-ng-0.7.8 [0.7.9]
[ebuild     UD ] media-libs/libjpeg-turbo-1.5.3-r2 [2.0.2]
[ebuild     UD ] media-libs/alsa-lib-1.1.8 [1.1.9]
[ebuild     UD ] net-libs/libtirpc-1.0.2-r1 [1.1.4]
[ebuild     UD ] net-libs/rpcsvc-proto-1.3.1-r1 [1.4]
[ebuild     UD ] dev-libs/libnatspec-0.2.6-r1 [0.3.0]
[ebuild     UD ] sys-block/thin-provisioning-tools-0.7.0 [0.8.1]
[ebuild     UD ] dev-libs/libsass-3.5.2 [3.5.5]
[ebuild     UD ] dev-util/ragel-6.10 [7.0.0.10-r1]
[ebuild     UD ] dev-libs/libev-4.23 [4.24]
[ebuild     UD ] dev-libs/libxslt-1.1.32 [1.1.33-r1]
[ebuild     UD ] dev-libs/nss-3.40.1-r1 [3.44-r1] USE="-utils%"
[ebuild     UD ] dev-lang/sassc-3.4.7 [3.5.0]
[ebuild     UD ] dev-libs/libverto-0.2.5-r1 [0.3.0]
[ebuild     UD ] app-text/qpdf-8.2.1 [8.4.1]
[ebuild     UD ] app-i18n/unicode-data-11.0.0 [12.0.0]
[ebuild  N     ] perl-core/File-Path-2.130.0
[ebuild     UD ] virtual/perl-File-Path-2.130.0 [2.150.0]
[blocks b      ] <perl-core/File-Path-2.150.0 ("<perl-core/File-Path-2.150.0" is blocking virtual/perl-File-Path-2.150.0)
[ebuild     UD ] sys-apps/groff-1.22.3 [1.22.4]
[ebuild     UD ] net-nds/openldap-2.4.45 [2.4.47-r1]
[ebuild     UD ] media-libs/harfbuzz-2.3.1 [2.4.0]
[ebuild     UD ] dev-libs/libusb-1.0.21 [1.0.22]
[ebuild     UD ] sys-fs/lvm2-2.02.183 [2.02.184-r3]
[ebuild     UD ] net-libs/libmbim-1.16.2 [1.18.0]
[ebuild     UD ] net-libs/libqmi-1.20.2 [1.22.2]
[ebuild     UD ] sys-apps/hwids-20180917 [20190316]
[ebuild     UD ] sys-auth/pambase-20150213-r2 [20190402]
[ebuild     UD ] app-admin/eselect-1.4.13 [1.4.14]
[ebuild     UD ] app-eselect/eselect-python-20171204 [20190417]
[ebuild     UD ] app-eselect/eselect-ruby-20170723 [20190121]
[ebuild     UD ] dev-lang/ruby-2.4.5 [2.4.6]
[ebuild     UD ] virtual/rubygems-14 [15] RUBY_TARGETS="(-rbx)"
[ebuild     UD ] dev-ruby/rake-12.3.1 [12.3.2]
[ebuild     UD ] dev-ruby/power_assert-1.1.1 [1.1.4]
[ebuild     UD ] dev-ruby/rubygems-2.7.9 [3.0.3]
[ebuild     UD ] dev-ruby/minitest-5.10.3 [5.11.3]
[ebuild     UD ] dev-ruby/net-telnet-0.1.1-r1 [0.2.0]
[ebuild     UD ] dev-ruby/json-2.1.0 [2.2.0]
[ebuild     UD ] dev-ruby/test-unit-3.2.7 [3.3.3]
[ebuild     UD ] dev-ruby/rdoc-5.1.0 [6.1.1]
[ebuild     UD ] x11-libs/libnotify-0.7.7-r1 [0.7.8]
[ebuild     UD ] sys-libs/ncurses-6.1-r2 [6.1-r3]
[ebuild     UD ] dev-lang/python-3.6.5 [3.6.8]
[ebuild     UD ] sys-devel/gettext-0.19.8.1 [0.20.1]
[ebuild     UD ] www-client/w3m-0.5.3_p20180125 [0.5.3_p20190105]
[ebuild     UD ] sys-apps/attr-2.4.47-r2 [2.4.48-r3]
[ebuild     UD ] app-misc/ca-certificates-20180409.3.37 [20190110.3.43]
[ebuild     UD ] dev-util/ninja-1.8.2 [1.9.0]
[ebuild     UD ] sys-devel/bison-3.1 [3.3.2]
[ebuild     UD ] sys-block/parted-3.2-r1 [3.2_p25]
[ebuild     UD ] app-crypt/rhash-1.3.6-r1 [1.3.8]
[ebuild     UD ] app-text/opensp-1.5.2-r3 [1.5.2-r6]
[ebuild     UD ] dev-libs/elfutils-0.173-r1 [0.176-r1]
[ebuild     UD ] app-editors/nano-3.2 [4.2]
[ebuild     UD ] x11-misc/shared-mime-info-1.10 [1.10-r1]
[ebuild     UD ] sys-libs/libcap-2.26-r2 [2.27]
[ebuild     UD ] sys-apps/acl-2.2.52-r1 [2.2.53]
[ebuild     UD ] sys-fs/eudev-3.2.5 [3.2.7-r2]
[ebuild     UD ] sys-apps/help2man-1.47.6 [1.47.10]
[ebuild     UD ] dev-libs/libcdio-paranoia-0.94_p2 [2.0.0]
[ebuild     UD ] app-misc/jq-1.5-r3 [1.6-r3]
[ebuild     UD ] sys-apps/dbus-1.12.12-r1 [1.12.12-r2]
[ebuild     UD ] sys-libs/pam-1.3.0-r2 [1.3.1-r1] USE="-test% -vim-syntax%"
[ebuild     UD ] sys-devel/bc-1.06.95-r2 [1.07.1-r2]
[ebuild     UD ] dev-util/cmake-3.9.6 [3.14.3] USE="-server%"
[ebuild     UD ] sys-apps/osinfo-db-tools-1.3.0 [1.4.0]
[ebuild     UD ] x11-libs/gtksourceview-3.24.10 [3.24.11]
[ebuild     UD ] app-text/po4a-0.47-r1 [0.55]
[ebuild     UD ] media-libs/openjpeg-2.3.0-r1 [2.3.1]
[ebuild     UD ] dev-libs/double-conversion-3.0.3 [3.1.4-r1]
[ebuild     UD ] sys-apps/osinfo-db-20190218 [20190319]
[ebuild     UD ] media-gfx/exiv2-0.27.0-r2 [0.27.1]
[ebuild     UD ] sys-apps/man-db-2.7.6.1-r2 [2.8.5-r1]
[ebuild     UD ] dev-qt/qtcore-5.11.3-r2 [5.12.3]
[ebuild     UD ] net-misc/openssh-7.9_p1-r4 [8.0_p1-r1]
[ebuild     UD ] app-text/mupdf-1.14.0-r2 [1.15.0] USE="vanilla* -curl%"
[ebuild  N     ] mail-mta/nullmailer-2.0-r1  USE="ssl"
[ebuild     UD ] sys-libs/libosinfo-1.3.0 [1.4.0]
[ebuild     UD ] dev-qt/qtxml-5.11.3 [5.12.3]
[ebuild     UD ] dev-qt/qtdbus-5.11.3 [5.12.3]
[ebuild  N     ] virtual/mta-1
[ebuild     UD ] media-libs/fontconfig-2.13.0-r4 [2.13.1-r2]
[ebuild     UD ] net-print/cups-2.2.7 [2.2.11]
[ebuild     UD ] dev-lang/python-2.7.15 [2.7.16]
[ebuild  NS    ] dev-lang/spidermonkey-52.9.1_pre1 [60.5.2_p0-r2]
[ebuild  NS    ] sys-devel/llvm-7.1.0 [8.0.0]
[ebuild     UD ] sys-libs/talloc-2.1.14 [2.2.0] PYTHON_TARGETS="python2_7%*"
[ebuild     UD ] sys-libs/tdb-1.3.16 [1.4.0] PYTHON_TARGETS="python2_7%*"
[ebuild     UD ] app-crypt/mit-krb5-1.16-r2 [1.16.3]
[ebuild     UD ] dev-python/pycairo-1.17.0-r1 [1.18.1]
[ebuild     UD ] dev-libs/libbytesize-1.4 [2.0-r3] PYTHON_TARGETS="python2_7%*"
[ebuild     UD ] dev-python/dbus-python-1.2.4 [1.2.8]
[ebuild     UD ] sys-libs/tevent-0.9.37 [0.10.0] PYTHON_TARGETS="python2_7%*"
[ebuild     UD ] sys-libs/libblockdev-2.20-r2 [2.21]
[ebuild     UD ] sys-libs/ldb-1.3.6 [1.5.4] PYTHON_TARGETS="python2_7%*"
[ebuild     UD ] app-i18n/ibus-1.5.19 [1.5.20] USE="libnotify%*"
[ebuild     UD ] dev-python/setuptools-40.6.3 [41.0.1]
[ebuild     UD ] dev-python/certifi-2018.4.16 [2018.11.29]
[ebuild     UD ] dev-python/pyxattr-0.6.0-r1 [0.6.1]
[ebuild     UD ] dev-util/meson-0.49.2 [0.50.1]
[ebuild     UD ] dev-python/pbr-4.2.0-r1 [5.1.1]
[ebuild     UD ] dev-python/idna-2.5 [2.8]
[ebuild     UD ] dev-python/pyrsistent-0.14.2 [0.14.4]
[ebuild     UD ] dev-python/asn1crypto-0.22.0 [0.24.0]
[ebuild     UD ] dev-python/ply-3.9 [3.11]
[ebuild     UD ] dev-python/PySocks-1.6.7 [1.6.8]
[ebuild     UD ] dev-python/typing-3.6.2-r1 [3.6.4-r1]
[ebuild     UD ] dev-python/markupsafe-0.23 [1.0]
[ebuild     UD ] x11-libs/libdrm-2.4.97 [2.4.98] VIDEO_CARDS="-amdgpu* -nouveau* -radeon*"
[ebuild     UD ] dev-libs/libinput-1.12.6 [1.13.2]
[ebuild     UD ] dev-python/pycparser-2.14 [2.19]
[ebuild     UD ] dev-python/mako-1.0.6 [1.0.7]
[ebuild     UD ] media-libs/mesa-18.3.6 [19.1.0_rc1] VIDEO_CARDS="(-imx)"
[ebuild     UD ] dev-qt/qtgui-5.11.3 [5.12.3-r1]
[ebuild     UD ] media-libs/cogl-1.22.2 [1.22.4]
[ebuild     UD ] net-wireless/crda-3.18-r1 [3.18-r3]
[ebuild     UD ] app-text/poppler-0.74.0 [0.76.1]
[ebuild     UD ] dev-qt/qtwidgets-5.11.3 [5.12.3]
[ebuild     UD ] app-crypt/pinentry-1.1.0-r2 [1.1.0-r3]
[ebuild     UD ] net-print/cups-filters-1.21.6 [1.22.5]
[ebuild     UD ] x11-drivers/xf86-video-intel-2.99.917_p20180214-r2 [2.99.917_p20190301] USE="-dri3%"
[ebuild     UD ] dev-qt/qtsvg-5.11.3 [5.12.3]
[ebuild     UD ] app-crypt/gnupg-2.2.15 [2.2.15-r1]
[ebuild     UD ] app-portage/gemato-14.0 [14.1]
[ebuild     UD ] sys-apps/portage-2.3.62-r2 [2.3.66-r1]
[ebuild     UD ] sys-auth/polkit-0.115-r3 [0.116]
[ebuild     UD ] gnome-extra/polkit-gnome-0.105-r1 [0.105-r2]
[ebuild     UD ] net-misc/modemmanager-1.8.2-r1 [1.10.0]
[ebuild     UD ] sys-fs/udisks-2.8.1 [2.8.2]
[ebuild     UD ] dev-libs/libgweather-3.28.3 [3.32.1]
[ebuild     UD ] media-plugins/alsa-plugins-1.1.8 [1.1.9]
[ebuild     UD ] gnome-extra/chrome-gnome-shell-10 [10-r1]
[ebuild     UD ] app-text/evince-3.30.2 [3.32.0]
[ebuild     UD ] net-fs/cifs-utils-6.7 [6.9] USE="caps-ng%*"
[blocks B      ] dev-libs/openssl:0 ("dev-libs/openssl:0" is blocking dev-libs/libressl-2.8.3)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

virtual/libffi:0

  (virtual/libffi-3.0.13-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =virtual/libffi-3.0.13-r1 required by (dev-lang/spidermonkey-52.9.1_pre1:52/52::gentoo, ebuild scheduled for merge)
    ^               ^^^^^^^^^                                                                                                                                                 
    (and 11 more with the same problem)

  (virtual/libffi-3.3_rc0:0/7::gentoo, installed) pulled in by
    virtual/libffi:0/7= required by (dev-python/cffi-1.12.1:0/1.12.1::gentoo, installed)
                  ^^^^^                                                                                                     
    >=virtual/libffi-3.0.0:0/7=[abi_x86_32(-)] required by (app-crypt/p11-kit-0.23.12:0/0::gentoo, installed)
                          ^^^^^                                                                                                                 
    (and 4 more with the same problems)

dev-lang/perl:0

  (dev-lang/perl-5.28.2-r1:0/5.28::gentoo, installed) pulled in by
    =dev-lang/perl-5.28* required by (virtual/perl-Module-Metadata-1.0.33-r1:0/0::gentoo, installed)
    ^              ^^^^^                                                                                                                                   
    dev-lang/perl:0/5.28= required by (virtual/perl-Digest-MD5-2.550.0-r1:0/0::gentoo, installed)
                 ^^^^^^^^                                                                                                           
    (and 69 more with the same problems)

  (dev-lang/perl-5.26.9999:0/5.26::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.26* required by (virtual/perl-IO-Socket-IP-0.380.0:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^                                                                                                                                               
    (and 21 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

!!! The slot conflict(s) shown above involve package(s) which may need to
!!! be rebuilt in order to solve the conflict(s). However, the following
!!! package(s) cannot be rebuilt for the reason(s) shown:

  (dev-python/cffi-1.12.1:0/1.12.1::gentoo, installed): ebuild is masked or unavailable


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-libs/openssl-1.1.0j-r1:0/1.1::gentoo, installed) pulled in by
    >=dev-libs/openssl-1.1.0g:0[bindist=] (>=dev-libs/openssl-1.1.0g:0[-bindist]) required by (net-misc/openssh-7.9_p1-r4:0/0::gentoo, ebuild scheduled for merge)
    >=dev-libs/openssl-1.0.1h-r2:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=dev-libs/openssl-1.0.1h-r2:0=[abi_x86_32(-)]) required by (net-nds/openldap-2.4.45:0/0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0= required by (net-wireless/crda-3.18-r1:0/0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0= required by (dev-lang/ruby-2.4.5:2.4/2.4::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0[-bindist(-)] required by (dev-python/cryptography-2.6.1:0/0::gentoo, installed)
    dev-libs/openssl:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (dev-libs/openssl:0=[abi_x86_32(-)]) required by (net-libs/neon-0.30.2:0/27::gentoo, installed)
    dev-libs/openssl:0/1.1= required by (x11-base/xorg-server-1.20.4:0/1.20.4::gentoo, installed)
    dev-libs/openssl:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (dev-libs/openssl:0=[abi_x86_32(-)]) required by (app-arch/libarchive-3.3.3:0/13::gentoo, installed)
    dev-libs/openssl:0/1.1= required by (dev-python/m2crypto-0.31.0-r2:0/0::gentoo, installed)
    dev-libs/openssl:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (dev-libs/openssl:0=[abi_x86_32(-)]) required by (app-crypt/rhash-1.3.6-r1:0/0::gentoo, ebuild scheduled for merge)
    >=dev-libs/openssl-1.0.2k:0=[bindist=] (>=dev-libs/openssl-1.0.2k:0=[-bindist]) required by (net-wireless/wpa_supplicant-2.6-r10:0/0::gentoo, installed)
    dev-libs/openssl:0/1.1= required by (net-misc/iputils-20180629:0/0::gentoo, installed)
    >=dev-libs/openssl-1.0.1h-r2:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=dev-libs/openssl-1.0.1h-r2:0=[abi_x86_32(-)]) required by (app-crypt/mit-krb5-1.16-r2:0/0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0/1.1= required by (media-sound/pulseaudio-12.2-r1:0/0::gentoo, installed)
    dev-libs/openssl:0= required by (dev-lang/python-2.7.15:2.7/2.7::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0/1.1= required by (net-misc/dhcp-4.4.1:0/0::gentoo, installed)
    dev-libs/openssl:0= required by (net-dialup/ppp-2.4.7-r7:0/2.4.7::gentoo, installed)
    dev-libs/openssl:0/1.1= required by (dev-python/cryptography-2.6.1:0/0::gentoo, installed)
    dev-libs/openssl:0/1.1=[abi_x86_32(-)] required by (net-libs/neon-0.30.2:0/27::gentoo, installed)
    >=dev-libs/openssl-1.0.2k:0/1.1=[-bindist] required by (net-wireless/wpa_supplicant-2.6-r10:0/0::gentoo, installed)
    dev-libs/openssl:0/1.1= required by (sys-fs/cryptsetup-2.1.0:0/12::gentoo, installed)
    dev-libs/openssl:0= required by (net-misc/wget-1.20.3:0/0::gentoo, installed)
    dev-libs/openssl:0= required by (net-misc/openssh-7.9_p1-r4:0/0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0= required by (dev-python/cryptography-2.6.1:0/0::gentoo, installed)
    dev-libs/openssl:0/1.1=[abi_x86_32(-)] required by (net-misc/curl-7.64.1:0/0::gentoo, installed)
    dev-libs/openssl:0/1.1= required by (net-dialup/ppp-2.4.7-r7:0/2.4.7::gentoo, installed)
    dev-libs/openssl:0= required by (net-misc/dhcp-4.4.1:0/0::gentoo, installed)
    dev-libs/openssl:0=[static-libs?] (dev-libs/openssl:0=) required by (app-text/mupdf-1.14.0-r2:0/1.14.0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0= required by (media-sound/pulseaudio-12.2-r1:0/0::gentoo, installed)
    dev-libs/openssl:0= required by (dev-perl/Net-SSLeay-1.820.0:0/0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0= required by (net-misc/iputils-20180629:0/0::gentoo, installed)
    dev-libs/openssl:0/1.1= required by (net-misc/wget-1.20.3:0/0::gentoo, installed)
    dev-libs/openssl:0= required by (sys-fs/cryptsetup-2.1.0:0/12::gentoo, installed)
    dev-libs/openssl:0= required by (dev-python/m2crypto-0.31.0-r2:0/0::gentoo, installed)
    dev-libs/openssl:0= required by (www-client/w3m-0.5.3_p20180125:0/0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0= required by (x11-base/xorg-server-1.20.4:0/1.20.4::gentoo, installed)
    dev-libs/openssl:0= required by (dev-lang/python-3.6.5:3.6/3.6m::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0/1.1=[abi_x86_32(-)] required by (app-arch/libarchive-3.3.3:0/13::gentoo, installed)
    dev-libs/openssl:0 required by (net-nds/openldap-2.4.45:0/0::gentoo, ebuild scheduled for merge)
    dev-libs/openssl:0=[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (dev-libs/openssl:0=[abi_x86_32(-)]) required by (net-misc/curl-7.64.1:0/0::gentoo, installed)

  (dev-libs/libressl-2.8.3:0/46::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libressl:0 required by (net-nds/openldap-2.4.45:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


It seems that I wrecked something because of that ~x86, eventually.
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2245
Location: Frankfurt, Germany

PostPosted: Fri May 24, 2019 12:27 pm    Post subject: Reply with quote

I was afraid that something like this would happen... Going back to stable isn't easy since nearly every package is involved.

There are 3 options:
  1. You could stay with unstable. Many users run unstable, but it means: frequent updates (which hurt on a Atom machine) and more problems (blockers, build errors, etc.) than stable.

  2. You could try to solve all issues and blockers and go back to stable

  3. You could start over with a new installation, which will install the latest stable version of all packages

Each of those options has its pros and cons. Which way do you want to go?

Side note: don't be sad that you ended in this dead end. You didn't do anything stupid or wrong. After you have recovered from this situation, you will have learned a lot about Gentoo :)
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2245
Location: Frankfurt, Germany

PostPosted: Fri May 24, 2019 12:43 pm    Post subject: Reply with quote

There's another option:

4) You switch back to stable, but you add all packages currently installed to /etc/portage/package.accept_keywords. That means: you would stay with the packages currently installed until newer stable versions of those package will be released.

You could use the statement below to generate the entries for /etc/portage/package.accept_keywords (see: https://forums.gentoo.org/viewtopic-t-660881.html)
Code:
cd /var/db/pkg/; for package in */*; do echo "=${package} ~x86";  done
Back to top
View user's profile Send private message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Fri May 24, 2019 1:39 pm    Post subject: Reply with quote

mike155 wrote:
Side note: don't be sad that you ended in this dead end. You didn't do anything stupid or wrong. After you have recovered from this situation, you will have learned a lot about Gentoo

Well, maybe yeah, I thought I was stupid for a sec, but that's it. I know that it'd have been a bit difficult, because of Gentoo's concept of versatility, which I've loved since I found out about Gentoo, and which allowed me to give a new chance to this laptop, avoiding solutions like Puppy Linux. This kind of distros are ok, but I don't consider them a complete OS.
Besides, if a newbie can have support from a good community like the Gentoo one, everything can be solved :D

Now,
mike155 wrote:
There's another option:

4) You switch back to stable, but you add all packages currently installed to /etc/portage/package.accept_keywords. That means: you would stay with the packages currently installed until newer stable versions of those packages will be released.

You could use the statement below to generate the entries for /etc/portage/package.accept_keywords (see: https://forums.gentoo.org/viewtopic-t-660881.html)
Code:
cd /var/db/pkg/; for package in */*; do echo "=${package} ~x86";  done

this seems the right solution to me. Now, should I just issue this statement and try emerge --update --newuse --deep @world first, and emerge --depclean then?
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2245
Location: Frankfurt, Germany

PostPosted: Fri May 24, 2019 2:11 pm    Post subject: Reply with quote

Run
Code:
cd /var/db/pkg/; for package in */*; do echo "=${package} ~x86";  done

and add the output to /etc/portage/package.accept_keyword (or to /etc/portage/package.keyword, whichever you use).

Then run
Code:
emerge --update --newuse --deep -av @world

You should see no or only a few packages

After that, run
Code:
emerge -a --depclean

In a couple of months, comment all the entries from /etc/portage/package.accept_keyword you added today and run
Code:
emerge --update --newuse --deep -av @world

In case you get blockers, remove the comments and wait another month. If emerge runs without problems: remove all entries from etc/portage/package.accept_keyword you added today and you will have successfully migrated to stable :-)
Back to top
View user's profile Send private message
HilhilPoly
n00b
n00b


Joined: 12 May 2019
Posts: 16

PostPosted: Fri May 24, 2019 2:30 pm    Post subject: Reply with quote

Basically, I emerged 750 unstable packages. Well done, lol. I added everything at package.accept_keywords. Now I'm emerging four packages, and then I'll issue emerge --depclean.
Thank you again!

Anyway, since you asked for my emerge --info, here (as soon as the update finishes, I'll delete that @EULA, I put it there as a joke)
Code:
# emerge --info
Portage 2.3.66 (python 3.6.8-final-0, default/linux/x86/17.0/desktop/gnome, gcc-8.2.0, glibc-2.29-r2, 5.1.0-gentoo i686)
=================================================================
System uname: Linux-5.1.0-gentoo-i686-Intel-R-_Atom-TM-_CPU_N570_@_1.66GHz-with-gentoo-2.6
KiB Mem:     1013368 total,    196944 free
KiB Swap:    1048572 total,    700440 free
Timestamp of repository gentoo: Tue, 14 May 2019 20:00:01 +0000
Head commit of repository gentoo: a3ff750c875f6858838c0f0a010960f622c3570e
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.31.1 p7) 2.31.1
app-shells/bash:          4.4_p23-r1::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.16::gentoo, 3.6.8::gentoo
dev-util/cmake:           3.14.3::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.17::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r6::gentoo, 2.32-r1::gentoo
sys-devel/gcc:            8.2.0-r6::gentoo, 8.3.0-r1::gentoo, 9.1.0::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.0-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA @FREE @EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=native -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=native -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa berkdb bluetooth branding bzip2 cairo cdda cdr cli colord crypt cups cxx dbus dri dts dvd dvdr eds elogind emboss encode evo exif fam flac fortran gdbm gif glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv introspection ipv6 jpeg lcms ldap libnotify libsecret libtirpc mad mng mp3 mp4 mpeg nautilus ncurses networkmanager nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt5 readline sdl seccomp spell ssl startup-notification svg tcpd tiff tracker truetype udev udisks unicode upower usb vorbis wxwidgets x264 x86 xattr xcb xml xv xvid zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput synaptics keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 15603

PostPosted: Sat May 25, 2019 12:46 am    Post subject: Reply with quote

As a minor point, entries in package.accept_keywords that do not mention an architecture imply testing for the current host architecture. Thus, you could remove the ~x86 from the samples shown and get the same result. As a bonus, because it always implies current, removing ~x86 would make it work for you on other architectures without customization.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum